/*****************************************
 * Large Assignment 1: L-Systems
 * Name:    Erin McClure
 * E-mail:  emccluree@unm.edu
 * Course:      CS491, Computational Fabrication
 * Submitted:    09/14/2022
 * This draws an L system repersenting Red apple  
 * ground corver based on the example in class
***********************************************/
import Turtle. *;
PinkFlowersClass l, l_1, l_2;
Turtle t, t_1, t_2; 


void setup() 
{
  size(900,900);
  background(#DEFCFC);
  stroke(#0F4B3E);
  l = new PinkFlowersClass(40, 40, 1, "X");
  l_1 = new PinkFlowersClass(40, 40, 1, "X");
  //l_1 = new PinkFlowersClass(40, 40, 1, "[<<X]");
  //l_2= new PinkFlowersClass(50, 20, 1, "[>>X");

  t = new Turtle(this);
  //t_1= new Turtle(this);
  //t_2 = new Turtle(this);
  frameRate(1); 
 
}
void draw() {
  t.setX(width/2);
  t.setY(30);
  //t_1.setX(width/2);
  //t_1.setY(30);
  l.iteration();
  l.drawLSystem(t);
  //l_1.iteration();
  //l_2.drawLSystem(t_1);
  //l_2.iteration();
  //l_2.drawLSystem(t_2);
}

void keyPressed(){
  if(key == 'a'){
    String fileName = "lsystem2" + (int)(random(0, 100)) + ".png";
    save(fileName);
    println("saved image");
  }
}
