/*****************************************
 * Large Assignment 1: L-Systems
 * Name:    Erin McClure
 * E-mail:  emccluree@unm.edu
 * Course:      CS491, Computational Fabrication
 * Submitted:    09/14/2022
 * This draws an L system repersenting lilly turf
 * based on the example in class
***********************************************/
import Turtle. *;
PurpleSprig l, l_1, l_2;
Turtle t, t_1, t_2; 


void setup() 
{
  size(900,900);
  background(#DEFCFC);
  stroke(#0F4B3E);
  l = new PurpleSprig(50, 20, 1, "[S]X");
  t = new Turtle(this);
  frameRate(1); 
 
}
void draw() {
  l.iteration();
  l.drawLSystem(t);
}

void keyPressed(){
  if(key == ' '){
    String fileName = "lsystem2" + (int)(random(0, 100)) + ".png";
    save(fileName);
    println("saved image");
  }
}
