/*****************************************
 * Large Assignment 1: L-Systems
 * Name:    Erin McClure
 * E-mail:  emccluree@unm.edu
 * Course:      CS491, Computational Fabrication
 * Submitted:    09/14/2022
 *
 * This draws an L system repersenting Papyrus 
 * based on the example in class
 * uncomment lines 37 and 39 to draw a more 
 * dense plant. 
***********************************************/
import Turtle. *;
PapyrusCalss l, l_1, l_2;
Turtle t, t_1, t_2; 


void setup() 
{
  size(900,900);
  background(#FFFFFF);
  stroke(#1034A6);
  l = new PapyrusCalss(40, 10, .9, "[YZX]");
  l_1 = new PapyrusCalss(40, 10, .9, "<<[YZX]");
  l_2= new PapyrusCalss(40, 10, .9, ">>[YZXYZ]");
  t = new Turtle(this);
  t_1= new Turtle(this);
  t_2 = new Turtle(this);
  
  frameRate(1); 
 
}
void draw() {
  t.setX(width/2);
  l.iteration();
  l.drawLSystem(t);
  l_1.iteration();
  //l_1.drawLSystem(t_1);
  l_2.iteration();
  //l_2.drawLSystem(t_2);
  
  
}

void keyPressed(){
  if(key == ' '){
    String fileName = "lsystem" + (int)(random(0, 100)) + ".png";
    save(fileName);
    println("saved image");
  }
}
